/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Main.java to edit this template
 */

package ChatProgramm;

import ChatProgramm.controller.CommandController;
import ChatProgramm.model.ChatModel;
import ChatProgramm.view.ChatView;
import javax.swing.JOptionPane;
import javax.swing.UIManager;

/**
 * Builder Class
 * @author le
 */
public class Start
{
  public Start()
  {
    ChatView view = new ChatView();
    ChatModel model = new ChatModel(view);
    view.getGvZeichenflaeche().setModel(model.getGrafikDaten());
    CommandController controller_commands = new CommandController(view, model);
    controller_commands.registerEvents();
    controller_commands.registerCommands();
    view.setVisible(true);
  }

  /**
   * @param args the command line arguments
   */
  public static void main(String[] args) 
  {
    try
    {
      UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
    }
    catch (Exception ex)
    {
      JOptionPane.showMessageDialog(null, ex.toString());
    }
    new Start();
  }
}