/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */

package ChatProgramm.model;

import ChatProgramm.util.OhmLogger;
import ChatProgramm.view.ChatView;
import java.io.IOException;
import java.util.logging.Logger;

/**
 *
 * @author ahren
 */
public class ChatModel 
{
  
  private Transmitter transmitter;
  private static Logger lg = OhmLogger.getLogger();  
  private GrafikDaten grafikdaten = new GrafikDaten();
  private ChatView view;
  
  public ChatModel(ChatView view)
  {
    this.view = view;
  }

  public GrafikDaten getGrafikDaten()
  {
    return grafikdaten;
  }

  public void setTransmitterToClient() throws IOException
  {
    transmitter = new Client(view, this);
  }

  public void setTransmitterToServer()throws IOException
  {
    transmitter = new Server(view, this);
  }

  public Transmitter getTransmitter()
  {
    return transmitter;
  }
}
